com.lowagie.text.pdf

## Class PdfSpotColor

- java.lang.Object
- - com.lowagie.text.pdf.PdfSpotColor

-     public class PdfSpotColor
      extends java.lang.Object

  A `PdfSpotColor` defines a ColorSpace
  See Also:
    `PdfDictionary`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.awt.Color` | `altcs` The alternative color space
    `PdfName` | `name` The color name

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfSpotColor(java.lang.String name, java.awt.Color altcs)` Constructs a new `PdfSpotColor`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getAlternativeCS()` Gets the alternative ColorSpace.
    `protected PdfObject` | `getSpotObject(PdfWriter writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public PdfName name

      The color name

    - #### altcs

          public java.awt.Color altcs

      The alternative color space

  - ### Constructor Detail

    - #### PdfSpotColor

          public PdfSpotColor(java.lang.String name,
                      java.awt.Color altcs)

      Constructs a new `PdfSpotColor`.
      Parameters:
        `name` - a String value
        `altcs` - an alternative colorspace value

  - ### Method Detail

    - #### getAlternativeCS

          public java.awt.Color getAlternativeCS()

      Gets the alternative ColorSpace.
      Returns:
        a Color

    - #### getSpotObject

          protected PdfObject getSpotObject(PdfWriter writer)